Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
BuildArch:	noarch

Name:		mp3tovorbis
Version:	0.1.2
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://freshmeat.net/projects/mp3tovorbis/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-track.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Converts MP3 files to the free Ogg/Vorbis format.
Requires:	perl
Requires:	perl-MP3-Info
Requires:	mpg123

%description
Converts MP3 files to the free Ogg/Vorbis format.
This script converts a list of mp3 files or a hole directory containing
mp3 files to the Ogg/Vorbis audio format, which has serveral advantages
compared to mp3, which the most important one: It is *free* software.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
cp %{name}.pl $RPM_BUILD_ROOT%_bindir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 02 2006 Christian Wasem <wasem@ccux-linux.de> 0.1.2-2
- added track.patch
* Thu Feb 02 2006 Christian Wasem <wasem@ccux-linux.de> 0.1.2-1
- Initial Release